(function() {
	//動画を再生(コントロール無)
	function playVideoWithoutControlbar() {
		playVideoOverlay(false);
	}
	
	//動画を再生(コントロール有)
	function playVideoWithControlbar() {
		playVideoOverlay(true);
	}
	
	//動画を指定した位置に表示
	function playVideoOverlay(control) {
		var options = {
			top: 10,
			left: (document.documentElement.clientWidth - 190) / 2,
			width: 190,
			height: 240,
			control: control
		};
		applican.video.play("sample_mpeg4.mp4", playVideoOverlay_success, playVideoOverlay_error, options);
	}
	
	//動画再生成功時のCallback処理
	function playVideoOverlay_success() {
		var dump = "playVideoOverlay_success\n";
		document.getElementById("dumpAreaMedia").value = dump;
	}
	
	//動画再生失敗時のCallback処理
	function playVideoOverlay_error(error) {
		var dump = "playVideoOverlay_error\n";
		dump += "code:" + error.code + "\n";
		document.getElementById("dumpAreaMedia").value = dump;
	}
	
	//動画再生停止
	function stopVideo(){
		applican.video.stop();
	}
	
	//画面初期表示処理
	document.addEventListener("readystatechange", function() { 
		if(document.readyState == "complete") {
			//onClickイベントを登録する
			document.getElementById("playVideoWithoutControlbarBtn").addEventListener("click", playVideoWithoutControlbar, false);
			document.getElementById("playVideoWithControlbarBtn").addEventListener("click", playVideoWithControlbar, false);
			document.getElementById("stopVideoBtn").addEventListener("click", stopVideo, false);
	    }
	});
})();